Subject: Re: FVWM: undefined reference in fvwm-2.0.42

From: "Michael Kirby" <[email-masked]>
Date: Wed, 24 Apr 1996 13:58:14 PDT

On 23 Apr 96 at 16:46, Clive Messer wrote:

> 
> Hi,
> 
> I'm not on the mailing list and would appreciate being cc'd or a direct
> reply.

> gcc -o fvwm2 add_window.o       bindings.o      borders.o       builtins.o
> colormaps.o      colors.o        complex.o       decorations.o   events.o
> focus.o  functions.o     fvwm.o  icons.o         menus.o         misc.o
> module.o        move.o  placement.o     read.o  resize.o        style.o
> virtual.o       windows.o -O2 -m486      -L/usr/X11R6/lib -L../libs
> -lfvwm2 -lXpm  -lXext -lX11     -Wl,-rpath,/usr/X11R6/lib
> fvwm.o: In function `InitVariables':
> fvwm.o(.text+0x1819): undefined reference to `InitPictureCMap'
> menus.o: In function `scanForPixmap':
> menus.o(.text+0x2147): undefined reference to `CachePicture'

Note that on your include path you have -L/usr/X11R6/lib before 
-L../libs.  It should be reversed.  I think this is a bug in the 
makefile.

It is finding the installed libfvwm.a before it finds the newly 
compiled ones.

Chuck???

Mike
---
[email-masked]
To obtain my PGP public key, mail "SEND PUB KEY" in the 
subject to "[email-masked]"
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].